<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 *******************************************
 *  - FICHIER DE CONFIGURATION DE GCWEB -  *
 *******************************************
 *
 * Ce fichier vous permet de configurer GCWeb (nom et description du site, collections,
 * apparence du site ...)
 *
 * En cas de problème :
 *   1) Vérifier que vous n'avez pas supprimé une virgule (les élements d'un "array"
 *      sont séparés par une virgule).
 *   2) Postez un messages sur le forum de http://jonas.tuxfamily.org/ en précisant :
 *        * Quand est-ce que l'erreur s'affiche (la page, le lien ...)
 *        * Le message d'erreur exacte (entre balises [code] et [/code] svp)
 *        * Eventuellement le contenu de ce fichier (idem).
 */


$conf = array(
    /*** CONFIGURATION DU SITE ***/
    'title'         => 'GCweb - demo',  //[string]  Titre du site
    'user'          => 'user',          //[string]  Nom d'utilisateur (utile pour le créateur de thème)
    'password'      => '9d4e1e23bd5b727046a9e3b4b7db57bd8d6ee684' ,
                                        //[string]  Mot de passe hasher sha1 ("pass" par defaut)
                                        //          TRÉS IMPORTANT CHANGER LE (OU ECRIVEZ N'IMPORTE QUOI À LA PLACE)
                                        //          Pour créer votre mot de passe :
                                        //            * Sous GNU/Linux $ sha1sum [entrer] mot_de_pass [crtl+D]
                                        //            * Générateur via page web : http://jonas.tuxfamily.org/wiki/sha
    'description'   =>                  //[string]  description du site, html accepté
        'Demo du moteur de rendu web pour les collections GCweb',
    'template'      => 'default',       //[string]  Nom du dossier de thème
    'lang'          => 'eng',           //[string]  Langue de l'interface
    'itemsPage'      => 10,             //[integer] Nombre d'éléments par page
    'champVide'     => '-',             //[string,bolenan ...] Valeur de remplacement quand les champs de l'xml
                                        //          sont vides
    'noIE'          => True,            //[boolean] Afficher un message comme quoi le site risque de mal s'afficher
                                        //          avec le navigateur respectant mal les standards HTML.
    'noIEtext'      => '',              //[string]  Complêtez pour personnalisé le texte à l'intention de utilisateur
                                        //          de MSIE.
    'generator'     => False,           //[bolenan] Active ou désactive le generateur de thème. A activé uniquement quand
                                        //          on en a besoin !


    /*** CONFIGURATION DES COLLECTION ***/
    'collections' => array(
        /*1ère collection*/ array(
            'title'       => 'Collection 1',    //[string]  Nom de la collection
            'dir'         => '',                //[string]  Dossier où se trouve la collection. '' si il se trouve
                                                //          dans /collections. Mettre / à la fin
            'xml'         => 'BD',              //[string]  Nom du fichier xml
            'picturesdir' => 'BD_pictures',     //[string]  Nom du dossier contenant les images de la collections
            'description' => 'blablabla',       //[string]  Description
            'type'        => 'GCbooks',         //[string]  Type de collection (les types supportés dépendent du thème utilisé).
            'sortBy'      => 'idDSC',           //[string]  Ordre de Tri (ex idDSC → dernier au 1er id, titleASC par ordre alphabétique)
            'private'     => False              //[boolean] Cache les liens vers la galerie (il se peut qu'un thème ne prenne pas en compte cette information)
        ),
        /*2ème collection (ajouter * / coller après cette parenthèse) array(
            'title'       => '',
            'dir'         => '',
            'xml'         => '',
            'picturesdir' => '',
            'description' => '',
            'type'        => '',
            'sortBy'      => '',
            'private'     => False
        )
        /*Collections suivantes selon le même modèle*/
    ),


    /*** OPTIONS POUR LES UTILISATEURS AVANCÉS ET/OU BIDOUILLEURS ***/
    //Normalement pas besoin d'y toucher pour que ça fonctionne.

    /*** CHAINES A IGNORER LORS DU TRI***/
    'ignoreString4sort' => array (  //[array of string] Liste des chaînes à ignorer lors du tri. ATTENTION
                                    // ajouter un espace après la chaîne pour avoir seulement la chaîne filtrée,
                                    // sinon "le" remplacera le "le" de "les" ce qui donne "s".
        'le ', 'la ','l\'', 'les ', 'un ', 'une ', 'des ',
        'a ', 'the ',
        'der ','die ', 'das ', 'ein ','eine ',
        'el ','los ','una ',
        ',','tome ','et ','- ',': '
    ),

    /*** MISE EN CACHE DES RECHERCHE DANS LA BASE DE DONNEE ***/
    'noCacheBDD'        => False,   //[boolean] Ne pas mettre en cache les recherches (valeur à True)
                                    //          économise un peu d'espace disque mais consomme beaucoup de
                                    //          resource serveur et red l'affichage des pages plus lent
    'purgeCacheBDDDelay' => 60,     //[int]     Lancer une purge automatique tous les X minutes
                                    //          (0 pour ne jamais purger)
    'purgeCacheBDDAge' => 60,       //[int]     Lors de la purge automatique effacer les recherche n'ayant pas
                                    //          été utilisée depuis X minutes.
    'nopurgeCacheDBB'   => array(   //[array of string] Liste des fichier cache (sans extentions) dont il ne
                                    //          faut pas purger le cache
        '0_fullBDD','0_none_idASC_0-end'

    /*** CONFIGURATION DES IMAGES ***/
    'jpgQuality'    => 80,          //[integer] Qualité des images jpeg crée pas GCweb
    'GDresampled'   => True,        //[boolean] Rééchantillonner les images lors du redimensionnement
                                    //          (Crée des images de meilleure qualité, cependant cette
                                    //          fonction n'est pas disponible chez tous les hébergeurs)
                                    //          mettre False si la création des images ne fonctionne pas
                                    //          ou est trop lente.
    'externalLink' => '',           //[string]  Ajouter un lien commercial (ne fonctionne pas avec tous
                                    //          les thèmes, mais il sera peut-être possible de soutenir
                                    //          GCweb via ce lien).
    'noCacheImg' => False,          //[boolean] Ne pas mettre en cache les image (économise l'espace
                                    //          disque mais consomme énormément de ressources en plus.
                                    //          Il est très déconseillé de mettre cette valeur à True
    'purgeCacheImgDelay' => 7,      //[int]     Lancer la purge automatique des images tous les X jours
                                    //          (0 pour ne jamais purger)
    'purgeCacheImgAge' => 15,       //[int] Lors de la purge automatique effacer les images n'ayant pas
                                    //          été vistées depuis X jours.


    *** DATES ET HEURES ***/
    'dateGCstar'    => '%d/%m/%y',  //[string]  Format des dates entrées dans GCstar (voir dans "man php" la fonction strftime)


);

@include 'config.complement.php';

setlocale (LC_ALL,'fr_FR.UTF8');   //Date en français + UTF8
date_default_timezone_set('Europe/Paris'); //Décalage horaire
?>
